BEGIN {	
	FS = ":";
	head = "Node      Bus Dev Sense Type        ASC   AbsBlk      LogBlk      P Date";
	sepa = "--------- --- --- ----- ----------- ----- ----------- ----------- - --------";
	lastlnn = -1;
	lastbus = -1;
	lastdev = -1;
	print head;
}
{
	date 	= $1;
		year = substr(date, 3, 2);
		month = substr(date, 6, 2);
		day = substr(date, 9, 2);
	pnn 	= $2;
	lnn 	= $3 + 0;
	bus 	= $4 + 0;
	dev 	= $5 + 0;
	devret 	= $6 + 0;
	busret 	= $7 + 0;
	sense 	= $8 + 0;
	type 	= $9;
	asc 	= $10 + 0;
	absblk 	= $11 + 0;
	logblk 	= $12 + 0;
	part 	= $13;
	recact 	= $14 + 0;
	retry	= $15 + 0;
	lsistat = $16 + 0;

	if (lnn != lastlnn || bus != lastbus || dev != lastdev) {
		print sepa;
	}

	lastlnn = lnn;
	lastbus = bus;
	lastdev = dev;

	printf("%s %3d %3d %3d 0x%03x %-11.11s 0x%03x %11d %11d %1s %s/%s/%s\n", pnn, lnn, bus, dev, sense, type, asc, absblk, logblk, part, month, day, year);
}
