/****************************************************************************
 **                                                                        **
 **    File:           argparse.h                                          **
 **    Author:         Roger Preston                                       **
 **    Created:        Mon Dec 19 11:43:58 EST 1988                        **
 **    Contents :      General purpose argument parser header file         **
 **                                                                        **
 **    Copyright (c) 1988 BBN Communications Corp.                         **
 **    All rights reserved.                                                **
 **                                                                        **
 ****************************************************************************/
#define SW_FLAG         0
#define SW_CHAR         1
#define SW_INT          2
#define SW_HEX          3
#define SW_STRING       4
#define SW_FUNC         5
#define SW_LIST         6
#define SW_LONG_HEX     7

struct sw_list
{
    char *arg_name;
    int   arg_val;
};

struct switches
{
    int   sw_type;
    int   sw_parms;
    char *sw_name;
    union 
    {
	char    *sw_char;
	int     *sw_flag;
	int     *sw_int;
	long    *sw_long;
	char    **sw_string;
	int     (*sw_func)();
    } sw_addr;
    struct sw_list *sw_listp;
};

struct bugfix
{
    int   sw_type;
    int   sw_parms;
    char *sw_name;
    char *sw_bugfix;
    struct sw_list *sw_listp;
};
