/****************************************************************************
 **                                                                        **
 **    File:           gracie.c                                            **
 **    Author:         Roger Preston (modifications only)                  **
 **    Created/Copied: Wed Dec 14 17:11:51 EST 1988                        **
 **    Contents :      'main()' function for GP1000 stress test            **
 **                                                                        **
 **    Copyright (c) 1988 BBN Communications Corp.                         **
 **    All rights reserved.                                                **
 **                                                                        **
 **    Taken from command parser/intrepreter ('george') originally written **
 **    by Guy Fedorkow and modified by Bob Clements for use on ACI But-    **
 **    terfly II.                                                          **
 **                                                                        **
 ****************************************************************************/
#include <stdio.h>
#include "tmp3.h"
#include "tmp4.h"
#include "tmp2.h"

extern long start_addr;          /* global.c   */
extern int keyboard_redirected;  /* global.c   */
extern int print_help();         /* argparse.c */
extern char *g_input_file[];     /* global.c   */
extern int in_file_number;       /* global.c   */
extern FILE *do_file;            /* global.c   */
extern struct bugfix switches[]; /* global.c   */



/****************************************************************************
 *                                                                          *
 * main -- entry point for stress program for GP1000                        *
 *                                                                          *
 ****************************************************************************/
main(argc, argv)
int argc;
char *argv[];
{

  do_file = (FILE *)NULL;
  
  argparse(argc, argv, 1);      /* parse flags, accept one file name */
  
  keyboard_redirected = isatty(fileno(stdin)) ? FALSE : TRUE;
    
  if (in_file_number != 0) 
  {
    do_file = fopen(g_input_file[0], "rb"); /* "b"=binary, must handle */
                                            /*  control-Z and CR/LF    */
    if (do_file == (FILE *)NULL) 
    {
      printf(" Can't open command file '%s'.\n", g_input_file[0]);
      in_file_number = 0;
    } 
    else 
      printf(" Executing commands from '%s'.\n", g_input_file[0]);
  } 
  else 
  {
    if (keyboard_redirected)
      printf("[Reading command file.]\n");
  }
  
  command_scanner();         /* Call command scanner */
  exit(0);
}








